function battle_jai008(npcID) --雷猪

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	x=flag.GetBattleValue(12965) --大招蓄电层数
	m=flag.GetBattleValue(12957) --回合计数
 	m=m+1
	flag.SetBattleValue(12957,m)   
	lhp=flag.GetBattleValue(12966)
	hp=battle.GetSelfHP(2)
	if m<=2 then
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=6 then
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		else
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1217,1)   --单体法术
		end

	elseif m==3 then
		flag.SetBattleValue(12966,hp)
		npc.SetMagicDef(npcID,3,-10)
		npc.ChangeDef(npcID,600)
		battle.MagicToNpc(npcID,1226,1)

	elseif m==4 then
		flag.SetBattleValue(12966,hp)		
		if lhp-hp>9 then
			a = battle.GetRndNumber(1,10)
			if a>=1 and a<=6 then
				id = battle.GetRndPlayer()
				battle.AtkToPlayer(id,1)     --普通攻击
			else
				id = battle.GetRndPlayer()
				battle.MagicToPlayer(id,1217,1)   --单体法术
			end
		else
			battle.MagicToNpc(npcID,1226,1)

		end
	
	elseif m==5 then
		flag.SetBattleValue(12966,hp)
		if lhp-hp>9 then
			a = battle.GetRndNumber(1,10)
			if a>=1 and a<=6 then
				id = battle.GetRndPlayer()
				battle.AtkToPlayer(id,1)     --普通攻击
			else
				id = battle.GetRndPlayer()
				battle.MagicToPlayer(id,1217,1)   --单体法术
			end
		else
			battle.MagicToNpc(npcID,1226,1)

		end		
	elseif m==6 then
		flag.SetBattleValue(12957,0)	
		npc.SetMagicDef(npcID,3,20)
		npc.ChangeDef(npcID,-600)
		x=100+x*25
		battle.SetSkillScale(x)
		battle.MagicToPlayer(0,1216,1) 
		npc.StopSE(npcID)
	end
end